ReplicationConnectionGroupManager
Date: 2018-05-01

com.mysql.jdbc

## Class ReplicationConnectionGroupManager

- java.lang.Object
- - com.mysql.jdbc.ReplicationConnectionGroupManager

-     public class ReplicationConnectionGroupManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicationConnectionGroupManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addSlaveHost(java.lang.String group, java.lang.String host)`
    `static long` | `getActiveConnectionCount(java.lang.String group)`
    `static int` | `getConnectionCountWithHostAsMaster(java.lang.String groupFilter, java.lang.String host)`
    `static int` | `getConnectionCountWithHostAsSlave(java.lang.String groupFilter, java.lang.String host)`
    `static ReplicationConnectionGroup` | `getConnectionGroup(java.lang.String groupName)`
    `static ReplicationConnectionGroup` | `getConnectionGroupInstance(java.lang.String groupName)`
    `static java.util.Collection<ReplicationConnectionGroup>` | `getGroupsMatching(java.lang.String group)`
    `static java.util.Collection<java.lang.String>` | `getMasterHosts(java.lang.String groupFilter)`
    `static int` | `getNumberOfMasterPromotion(java.lang.String groupFilter)`
    `static java.lang.String` | `getRegisteredReplicationConnectionGroups()`
    `static java.util.Collection<java.lang.String>` | `getSlaveHosts(java.lang.String groupFilter)`
    `static long` | `getSlavePromotionCount(java.lang.String group)`
    `static long` | `getTotalConnectionCount(java.lang.String group)`
    `static void` | `promoteSlaveToMaster(java.lang.String group, java.lang.String newMasterHost)`
    `static void` | `registerJmx()`
    `static void` | `removeMasterHost(java.lang.String group, java.lang.String host)`
    `static void` | `removeMasterHost(java.lang.String group, java.lang.String host, boolean closeGently)`
    `static void` | `removeSlaveHost(java.lang.String group, java.lang.String host)`
    `static void` | `removeSlaveHost(java.lang.String group, java.lang.String host, boolean closeGently)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicationConnectionGroupManager

          public ReplicationConnectionGroupManager()

  - ### Method Detail

    - #### getConnectionGroupInstance

          public static ReplicationConnectionGroup getConnectionGroupInstance(java.lang.String groupName)

    - #### registerJmx

          public static void registerJmx()
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getConnectionGroup

          public static ReplicationConnectionGroup getConnectionGroup(java.lang.String groupName)

    - #### getGroupsMatching

          public static java.util.Collection<ReplicationConnectionGroup> getGroupsMatching(java.lang.String group)

    - #### addSlaveHost

          public static void addSlaveHost(java.lang.String group,
                          java.lang.String host)
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### removeSlaveHost

          public static void removeSlaveHost(java.lang.String group,
                             java.lang.String host)
                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### removeSlaveHost

          public static void removeSlaveHost(java.lang.String group,
                             java.lang.String host,
                             boolean closeGently)
                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### promoteSlaveToMaster

          public static void promoteSlaveToMaster(java.lang.String group,
                                  java.lang.String newMasterHost)
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getSlavePromotionCount

          public static long getSlavePromotionCount(java.lang.String group)
                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### removeMasterHost

          public static void removeMasterHost(java.lang.String group,
                              java.lang.String host)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### removeMasterHost

          public static void removeMasterHost(java.lang.String group,
                              java.lang.String host,
                              boolean closeGently)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getRegisteredReplicationConnectionGroups

          public static java.lang.String getRegisteredReplicationConnectionGroups()

    - #### getNumberOfMasterPromotion

          public static int getNumberOfMasterPromotion(java.lang.String groupFilter)

    - #### getConnectionCountWithHostAsSlave

          public static int getConnectionCountWithHostAsSlave(java.lang.String groupFilter,
                                              java.lang.String host)

    - #### getConnectionCountWithHostAsMaster

          public static int getConnectionCountWithHostAsMaster(java.lang.String groupFilter,
                                               java.lang.String host)

    - #### getSlaveHosts

          public static java.util.Collection<java.lang.String> getSlaveHosts(java.lang.String groupFilter)

    - #### getMasterHosts

          public static java.util.Collection<java.lang.String> getMasterHosts(java.lang.String groupFilter)

    - #### getTotalConnectionCount

          public static long getTotalConnectionCount(java.lang.String group)

    - #### getActiveConnectionCount

          public static long getActiveConnectionCount(java.lang.String group)